<?php

/*
 * This file is part of the PHPBench package
 *
 * (c) Daniel Leech <daniel@dantleech.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace PhpBench\Report;

use PhpBench\Dom\Document;
use PhpBench\Config\ConfigurableInterface;

/**
 * Implementors render the DOM Document generated by a generator to some visual medium.
 *
 * This might be either direct output (e.g. to the console, streaming markup) or to a file.
 *
 * Example implementors might be XsltRenderer, ConsoleRenderer, etc
 */
interface RendererInterface extends ConfigurableInterface
{
    public function render(Document $report, array $config);

    public function getDefaultOutputs();
}
